## sbrsh 1.4.7.1sdk1

=== debian/changelog ===
sbrsh (1.4.7.1sdk1) unstable; urgency=low

  * Repackaged source package.

 -- Janne Kataja <ext-janne.kataja@nokia.com>  Mon, 19 Sep 2005 14:15:54 +0300

sbrsh (1.4.7.1) unstable; urgency=low

  * Fix depends and rebuild

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon, 21 Mar 2005 15:46:34 +0200

sbrsh (1.4.7) unstable; urgency=low

  * Added ipkg-build for convenience

 -- Timo Savola <tsavola@movial.fi>  Wed, 11 Aug 2004 15:50:52 +0300

sbrsh (1.4.6) unstable; urgency=low

  * Added depencies and stripped binaries

 -- Riku Voipio <riku.voipio+packages@movial.fi>  Wed, 11 Aug 2004 10:25:30 +0300

sbrsh (1.4.5) unstable; urgency=low

  * Use fakeroot includes instead of fakeroot-net.
  * ipkg (Familiar) package.

 -- Timo Savola <tsavola@movial.fi>  Thu, 24 Jun 2004 12:28:24 +0300

sbrsh (1.4.4) unstable; urgency=low

  * Updated README.

 -- Timo Savola <tsavola@movial.fi>  Tue,  4 May 2004 11:55:41 +0300

sbrsh (1.4.3) unstable; urgency=low

  * Protocol version 4.
  * Client converts SBOX_ENV_ to SBRSH_ENV_ in environment variable names
    if daemon uses protocol version 3.

 -- Timo Savola <tsavola@movial.fi>  Wed, 21 Apr 2004 15:34:33 +0300

sbrsh (1.4.1) unstable; urgency=low

  * Client doesn't print error if it can't stat directories.
  * sbrshd init script included.
  * Debian package.

 -- Timo Savola <tsavola@movial.fi>  Tue, 09 Mar 2004 10:49:19 +0200

## sbrsh 1.4.7.1sdk2

=== Makefile ===
cflags   = $(CFLAGS) $(CPPFLAGS)
ldflags  = $(LDFLAGS) $(cflags)

VERSION  = DEV

cflags  += -Wall -Wmissing-prototypes -Wformat=2 -Wshadow -pipe
cflags  += -DVERSION=\"$(VERSION)\"

CLIENT   = sbrsh
DAEMON   = sbrshd
EXPORTFS = sb-exportfs

ifdef DEBUG
cflags  += -g -DDEBUG
else
cflags  += -O2 -fomit-frame-pointer -DNDEBUG
endif

ifdef TEST_ARM
CC = /scratchbox/compilers/arm-linux-gcc-3.3.1-uclibc-0.9.21/bin/arm-linux-gcc
ldflags	+= -static
endif

ifdef TEST_SBOX
lib      = /scratchbox/host_shared/lib
ldflags += -Wl,-dynamic-linker -Wl,$(lib)/ld-linux.so.2 -Wl,-rpath -Wl,$(lib)/
endif

COMMON_OBJECTS = buffer.o common.o mount.o protocol.o
COMMON_HEADERS = buffer.h common.h mount.h protocol.h types.h

.PHONY: all
all: $(CLIENT) $(DAEMON) $(EXPORTFS)

$(CLIENT): client.o config.o $(COMMON_OBJECTS)
	$(CC) -o $@ $^ $(ldflags)

$(DAEMON): daemon.o fakeroot.o $(COMMON_OBJECTS)
	$(CC) -o $@ $^ $(ldflags) -lutil

$(EXPORTFS): sb-exportfs.o common.o config.o
	$(CC) -o $@ $^ $(ldflags)

.PHONY: clean
clean:
	rm -f $(CLIENT) $(DAEMON) $(EXPORTFS) *.o

.c.o:
	$(CC) $(cflags) -c -o $*.o $*.c

client.o:   client.c   $(COMMON_HEADERS) client.h config.h
daemon.o:   daemon.c   $(COMMON_HEADERS) daemon.h fakeroot.h
common.o:   common.c   $(COMMON_HEADERS)
protocol.o: protocol.c $(COMMON_HEADERS)
buffer.o:   buffer.c   $(COMMON_HEADERS)
mount.o:    mount.c    $(COMMON_HEADERS)
config.o:   config.c   $(COMMON_HEADERS)
fakeroot.o: fakeroot.c $(COMMON_HEADERS)
sb-exportfs.o: sb-exportfs.c types.h common.h config.h

TAGS: *.[ch]
	etags -o $@ $^


CVSROOT = :ext:$(USER)@scratchbox.org:/cvsroot/scratchbox

.PHONY: source-tarball
source-tarball:
	@( if [ "$(VERSION)" = "DEV" ]; then \
		echo "Usage: $(MAKE) $@ VERSION=<version> [CVSROOT=<root>]"; \
		exit 1; \
	fi && \
	TAG=SBRSH_$$(echo $(VERSION) | sed s/\\./_/g) && \
	TMP=$$(mktemp -d tmp.XXXXXX) && \
	cd $$TMP && \
	cvs -d $(CVSROOT) export -r $$TAG sbrsh > export.log && \
	mv sbrsh/Makefile . && \
	cat Makefile | sed s/=\ DEV/=\ $(VERSION)/ > sbrsh/Makefile && \
	mv sbrsh sbrsh-$(VERSION) && \
	tar zcf ../sbrsh-$(VERSION).tar.gz sbrsh-$(VERSION) && \
	cd .. && \
	rm -rf ./$$TMP && \
	md5sum sbrsh-$(VERSION).tar.gz )


.PHONY: ipk
ipk: sbrshd
	@( if [ "$(VERSION)" = "DEV" ]; then \
		echo "Usage: $(MAKE) $@ VERSION=<version>"; \
		exit 1; \
	fi )

	rm -rf ipkg/build

	install -d ipkg/build/CONTROL
	sed s/'<VERSION>'/$(VERSION)/ ipkg/control.in > ipkg/build/CONTROL/control
	install -m 755 ipkg/postinst ipkg/build/CONTROL/
	install -m 755 ipkg/postrm ipkg/build/CONTROL/

	install -d ipkg/build/sbin
	install -m 755 sbrshd ipkg/build/sbin/

	ipkg/ipkg-build ipkg/build
	rm -rf ipkg/build

.PHONY: deb
deb: sbrshd
	dpkg-buildpackage -rfakeroot -b

=== debian/changelog ===
sbrsh (1.4.7.1sdk2) unstable; urgency=low

  * Adding fixes so that there is no need for configuring. This helps
    when using with maemo-dm.

 -- Maemo Integration <integration@maemo.org>  Wed, 21 Jun 2006 18:26:28 +0300

=== debian/control ===
Source: sbrsh
Section: net
Priority: extra
Maintainer: The Scratchbox Developers <scratchbox-devel@lists.scratchbox.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1.1

Package: sbrshd
Architecture: any
Depends: nfs-common, portmap, ${shlibs:Depends}
Description: Scratchbox Remote Shell daemon
 http://scratchbox.org/

=== debian/rules ===
#!/usr/bin/make -f

build: sbrshd

sbrshd:
	$(MAKE) sbrshd

binary: binary-arch

binary-arch: build
	dh_testdir
	dh_testroot

	ln -s ../sbrshd.init debian/

	mkdir -p debian/tmp/sbin
	cp -a sbrshd debian/tmp/sbin/

	mkdir -p debian/tmp/usr/share/doc/sbrshd
	cp -a README debian/tmp/usr/share/doc/sbrshd/

	dh_installchangelogs
	dh_installdocs
	dh_installinit
	dh_strip
	dh_shlibdeps
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

clean:
	dh_testdir
	dh_testroot

	$(MAKE) clean

	rm -f debian/files
	rm -f debian/sbrshd.init
	rm -f debian/*.debhelper
	rm -rf debian/tmp

.PHONY: build binary binary-arch binary-indep clean

## sbrsh 7.4+maemo1

=== Makefile ===
REVISION = 4

cflags   = $(CFLAGS) $(CPPFLAGS)
ldflags  = $(LDFLAGS) $(cflags) -static

cflags  += -Wall -Wmissing-prototypes -Wformat=2 -Wshadow -pipe
ifdef REVISION
cflags  += -DREVISION=$(REVISION)
endif

CLIENT   = sbrsh
DAEMON   = sbrshd
EXPORTFS = sb-exportfs

ifdef DEBUG
cflags  += -g -DDEBUG
else
cflags  += -O2 -fomit-frame-pointer -DNDEBUG
endif

COMMON_OBJECTS = buffer.o common.o mount.o protocol.o
COMMON_HEADERS = buffer.h common.h mount.h protocol.h types.h

.PHONY: all
all: $(CLIENT) $(DAEMON) $(EXPORTFS)

$(CLIENT): client.o config.o $(COMMON_OBJECTS)
	$(CC) -o $@ $^ $(ldflags) $(cl_libs)

$(DAEMON): daemon.o fakeroot.o ident.o $(COMMON_OBJECTS)
	$(CC) -o $@ $^ $(ldflags) -lutil

$(EXPORTFS): sb-exportfs.o common.o config.o
	$(CC) -o $@ $^ $(ldflags)

.PHONY: clean
clean:
	rm -f $(CLIENT) $(DAEMON) $(EXPORTFS) *.o

.c.o:
	$(CC) $(cflags) -c -o $*.o $*.c

client.o:      client.c      $(COMMON_HEADERS) client.h config.h
	$(CC) $(cflags) $(cl_include) -c -o $@ $<

daemon.o:      daemon.c      $(COMMON_HEADERS) daemon.h fakeroot.h ident.h
common.o:      common.c      $(COMMON_HEADERS)
protocol.o:    protocol.c    $(COMMON_HEADERS)
buffer.o:      buffer.c      $(COMMON_HEADERS)
mount.o:       mount.c       $(COMMON_HEADERS)
config.o:      config.c      $(COMMON_HEADERS)
fakeroot.o:    fakeroot.c    $(COMMON_HEADERS)
ident.o:       ident.c       ident.h
sb-exportfs.o: sb-exportfs.c types.h common.h config.h

TAGS: *.[ch]
	etags -o $@ $^


CVSROOT = :ext:$(USER)@scratchbox.org:/cvsroot/scratchbox

.PHONY: source-tarball

#
# Make source tarball from given darcs repository
#
# note the ugly kludge to set correct REVISION
#
source-tarball:
	@(if ! darcs changes -t . --last=1 | grep -q . ; then \
		echo "You are trying to build source tarball from untagged revision."; \
		echo "This is doomed to fail. please refer to README."; \
		exit; \
	fi && \
	VERSION=`darcs changes | grep tagged | head -1 | sed 's/^[^_]*_//' | tr '_' '.' | tr -d ' '` && \
	REVISION=`echo $$VERSION | cut -d '.' -f2-` && \
	TMP=$$(mktemp -d tmp.XXXXXX) && \
	cd $$TMP && \
	darcs get .. && \
	cd sbrsh && \
	mv Makefile Makefile.orig && \
	echo -e "REVISION = $$REVISION\n" > Makefile && \
	cat Makefile.orig >> Makefile && \
	darcs record -a -m "kludge" && \
	darcs dist --dist-name sbrsh-$$VERSION && \
	mv sbrsh-$$VERSION.tar.gz ../.. && \
	cd ../.. && \
	rm -rf $$TMP && \
	md5sum "sbrsh-$$VERSION.tar.gz")

.PHONY: ipk
ipk: sbrshd
	rm -rf ipkg/build

	install -d ipkg/build/CONTROL
	sed s/'<VERSION>'/`head -n1 debian/changelog | cut -d'(' -f2 | cut -d')' -f1`/ ipkg/control.in > ipkg/build/CONTROL/control
	install -m 755 ipkg/postinst ipkg/build/CONTROL/
	install -m 755 ipkg/postrm ipkg/build/CONTROL/

	install -d ipkg/build/usr/sbin
	install -m 755 sbrshd ipkg/build/usr/sbin/

	ipkg-build ipkg/build
	rm -rf ipkg/build

.PHONY: deb
deb: sbrshd
	dpkg-buildpackage -rfakeroot -b

## sbrsh 7.5.1

=== Makefile ===
-include BuildOptions.mk

MAKESHIFT	?= makeshift

include $(MAKESHIFT)/build.mk

$(call profiles,profile/*.mk)

CFLAGS		:= -Wall -Wmissing-prototypes -Wformat=2 -Wshadow
CPPFLAGS_debug	+= -DDEBUG

common_NAME	:= common
common_VERSION	:= 0
common_SOURCES	:= buffer.c common.c mount.c protocol.c

$(call library,common)

client_NAME	:= sbrsh
client_SOURCES	:= client.c config.c
client_LIBS	:= -lcommon
client_DEPENDS	:= common@static

$(call binary,client)

daemon_NAME	:= sbrshd
daemon_SOURCES	:= daemon.c fakeroot.c
daemon_CPPFLAGS	:= -I.
daemon_LIBS	:= -lcommon -lutil
daemon_DEPENDS	:= common@static

$(call binary,daemon)

TAGS_SOURCES	:= $(wildcard *.c *.h)

build: sbrsh sbrshd

PROFILE		?= optimize

sbrsh: client-$(PROFILE)
	ln -f $(client_BINARY_$(PROFILE)) $@

sbrshd: daemon-$(PROFILE)
	ln -f $(daemon_BINARY_$(PROFILE)) $@

BINDIR		?= $(PREFIX)/bin
SBINDIR		?= $(PREFIX)/sbin
SYSCONFDIR	?= $(PREFIX)/etc

install: client-$(PROFILE) daemon-$(PROFILE)
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 $(client_BINARY_$(PROFILE)) $(DESTDIR)$(BINDIR)/

	install -d $(DESTDIR)$(PREFIX)/sbin
	install -m 755 $(daemon_BINARY_$(PROFILE)) $(DESTDIR)$(SBINDIR)/

	install -d $(DESTDIR)$(SYSCONFDIR)/init.d
	install -m 644 sbrshd.init $(DESTDIR)$(SYSCONFDIR)/init.d/sbrshd

GIT		:= git
AUTOCONF	:= autoconf

.PHONY: source-tarball
source-tarball:
	@(VERSION=`$(GIT) describe --tags | sed s/^v//` && \
	TMP=$$(mktemp -d tmp.XXXXXX) && \
	$(GIT) archive --format=tar --prefix="sbrsh-$$VERSION/" HEAD \
		> "$$TMP/sbrsh-$$VERSION.tar" && \
	cd "$$TMP" && \
	tar xf "sbrsh-$$VERSION.tar" && \
	cd "sbrsh-$$VERSION" && \
	$(AUTOCONF) && \
	cd .. && \
	tar rf "sbrsh-$$VERSION.tar" "sbrsh-$$VERSION/configure" && \
	gzip -c "sbrsh-$$VERSION.tar" > "../sbrsh-$$VERSION.tar.gz" && \
	cd .. && \
	rm -r "$$TMP")

.PHONY: ipk
ipk: daemon-$(PROFILE)
	rm -rf ipkg/build

	install -d ipkg/build/CONTROL
	sed s/'<VERSION>'/`head -n1 debian/changelog | cut -d'(' -f2 | cut -d')' -f1`/ ipkg/control.in > ipkg/build/CONTROL/control
	install -m 755 ipkg/postinst ipkg/build/CONTROL/
	install -m 755 ipkg/postrm ipkg/build/CONTROL/

	install -d ipkg/build/usr/sbin
	install -m 755 $(daemon_BINARY_$(PROFILE)) ipkg/build/usr/sbin/

	ipkg-build ipkg/build
	rm -rf ipkg/build

=== debian/changelog ===
sbrsh (7.5.1) unstable; urgency=low

  * Add url to copyright and format it more like other packages.

 -- Riku Voipio <riku.voipio@iki.fi>  Sun, 18 Nov 2007 20:16:03 +0200

sbrsh (7.5) unstable; urgency=low

  * Initial upload to debian Closes: #451560
  * Include defines from fakeroot
  * Split packages for client and server

  Timo Savola:
  * Fix interrupted read/write handling in fakeroot relay
  * Fix EINTR check in mount command output processing
  * Remove the pointless username matching
  * Remove the pointless ident support
  * Remove obsolete SBOX_ENV_ documentation
  * Do not build sbrsh statically
  * Add ENABLE and DEBUG_FILE options to init script
  * Evaluate /etc/default/sbrshd in init script
  * Install example config files

 -- Riku Voipio <riku.voipio@iki.fi>  Sun, 18 Nov 2007 13:18:35 +0200

sbrsh (7.4) unstable; urgency=low
  
  * debian: fix bashism in postrm script
  * daemon: check supplementary groups for root gid
  * client: do not drop gids from supplementary groups list

 -- Timo Savola <tsavola@movial.fi>  Fri, 27 Oct 2006 21:05:33 +0300

sbrsh (7.3) unstable; urgency=low

  * daemon: Fix supplementary groups setting (#284).
  * Environment translation removed.

  Toni Timonen:
  * Support the new CPU-transparency calling convention.
  * Build sbrsh statically.
  * Check the existence of stdin before using it.  This way it is possible
    to run binaries through sbrsh from scripts.

 -- Timo Savola <tsavola@movial.fi>  Fri, 27 Oct 2006 10:58:22 +0300

sbrsh (7.0) unstable; urgency=low

  * Moved environment handling to client side, which now uses libsb_env.

 -- Toni Timonen <ttimonen@movial.fi>  Thu,  1 Sep 2005 13:22:31 +0300

sbrsh (6.9) unstable; urgency=low

  * mount.c: Fixed nfs mount recognition to not fail with sfs.
  * Daemon: Enchanced busybox regognition (eg. with familiar).

 -- Toni Timonen <ttimonen@movial.fi>  Thu, 25 Aug 2005 10:19:16 +0300

sbrsh (6.8) unstable; urgency=low

  * Fixes interrupt handling in network I/O functions (bug #190)
  * Client: Expect RC packet from server during authentication

  Thanks to Rabeeh Khoury for help.

 -- Timo Savola <tsavola@movial.fi>  Wed, 11 May 2005 22:52:54 +0300

sbrsh (6.7) unstable; urgency=low

  * daemon.c (execute): Close pipe to command process when finished.
  * protocol.c (read_buf): Return error when buffer could not be filled
    due to closed socket.
  * client.c (main): Print more informative error message when passwd
    entry for uid could not be found.

 -- Timo Savola <tsavola@movial.fi>  Thu, 17 Feb 2005 20:08:21 +0200

sbrsh (6.6) unstable; urgency=low

  * sbrshd.init: Print "done." after enabling/disabling debug log.

 -- Timo Savola <tsavola@movial.fi>  Fri,  4 Feb 2005 15:13:44 +0200

sbrsh (6.5) unstable; urgency=low

  * debian/control: Do not depend on nfs-common.
  * debian/rules: Use LDFLAGS=-s instead of dh_strip to make the package
    cross-compile without Scratchbox.

 -- Timo Savola <tsavola@movial.fi>  Wed,  2 Feb 2005 08:06:39 +0200

sbrsh (6.4) unstable; urgency=low

  * client.c: Use _SBOX_NONFAKE_UID and _SBOX_NONFAKE_GID variables when
    run in a fakeroot session.  Print error message when authentication
    failed (the server no longer sends us an error message in that case).
  * daemon.c: Partial support for wildcards in the IP addresses in
    sbrshd.conf.
  * README: Documented new wildcard support in sbrshd.conf.
  * sbrshd.init, debian/rules, Makefile (ipk): sbrshd binary is installed
    to /usr/sbin instead of /sbin.
  * debian/sbrshd.postinst: Creates empty /etc/sbrshd.conf.
  * debian/sbrshd.postrm: Deletes /etc/sbrshd.conf when purging.
  * debian/copyright: Contains proper copyright information and a pointer
    to the GPL text.
  * debian/rules: Uses dh_clean.
  * debian/changelog: Recreated release history from CVS and Scratchbox's
    ChangeLog for documentation purposes.

 -- Timo Savola <tsavola@movial.fi>  Tue,  1 Feb 2005 15:21:52 +0200

sbrsh (6.3) unstable; urgency=low

  * Fixes the mount problem correctly.

 -- Timo Savola <tsavola@movial.fi>  Mon, 31 Jan 2005 18:14:04 +0200

sbrsh (6.2) unstable; urgency=low

  * Fixes a segmentation fault in the fakeroot relay.
  * Uses real path of mount points so that mounting and unmounting works with
    paths that have symlinks.
  * 'sbrshd add' does not fail if /etc/sbrshd.conf does not exist.
  * Minor sbrshd.conf parsing fix.

 -- Timo Savola <tsavola@movial.fi>  Wed, 29 Dec 2004 23:06:47 +0200

sbrsh (6.1) unstable; urgency=low

  * Users can be granted access using syntax "sbrshd add <user>@<address>".

 -- Timo Savola <tsavola@movial.fi>  Wed, 22 Dec 2004 16:00:17 +0200

sbrsh (6.0) unstable; urgency=low

  * User accounts no longer needed at the daemon end.
  * The daemon uses a single configuration file: /etc/sbrshd.conf.
  * The sandbox directories are created under /var/sbrshd.
  * Supports a "sandboxless" mode where the commands are executed in the
    system environment.

 -- Timo Savola <tsavola@movial.fi>  Mon, 20 Dec 2004 18:02:17 +0200

sbrsh (5.0) unstable; urgency=low

  * New version numbering scheme: the major version number corresponds to
    the protocol version (which was also incremented).
  * The plain-text password is no longer used.
  * The '--ident' option causes the daemon to do identd lookup to validate
    incoming connection.
  * umask is set for the executed command according to the client
    environment.
  * Daemon longer passes its version to the executed command via
    environment.
  * "SBRSH_RLIMIT_" prefix changed to "SBOX_RLIMIT_" in environment
    variables.

 -- Timo Savola <tsavola@movial.fi>  Mon, 18 Oct 2004 18:23:09 +0300

=== debian/control ===
Source: sbrsh
Section: net
Priority: extra
Maintainer: Riku Voipio <riku.voipio@iki.fi>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: sbrshd
Architecture: any
Depends: ${shlibs:Depends}
Description: Scratchbox Remote Shell daemon
 sbrshd mounts nfs partition from the host and executes a binary on it.
 This used to provide cpu transparency for cross-compiling with
 scratchbox.
 .
  http://scratchbox.org/

Package: sbrsh
Architecture: any
Depends: ${shlibs:Depends}
Description: Scratchbox Remote Shell client
 sbrsh requests a sbrshd host to mount a nfs partition, and executes a
 binary on it.  This used to provide cpu transparency for cross-compiling
 with scratchbox.
 .
 http://scratchbox.org/

=== debian/rules ===
#!/usr/bin/make -f

export LDFLAGS += -s

build: sbrshd sbrsh

sbrshd:
	$(MAKE) sbrshd

sbrsh:
	$(MAKE) sbrsh

binary: binary-arch

binary-arch: build
	dh_testdir
	dh_testroot

	cp sbrshd.init debian/

	mkdir -p debian/sbrshd/usr/sbin
	cp -a sbrshd debian/sbrshd/usr/sbin/
	mkdir -p debian/sbrshd/etc
	cp -a sbrshd.conf debian/sbrshd/etc/
	mkdir -p debian/sbrshd/usr/share/doc/sbrshd
	cp -a README debian/sbrshd/usr/share/doc/sbrshd/

	mkdir -p debian/sbrsh/usr/bin
	cp -a sbrsh debian/sbrsh/usr/bin/
	mkdir -p debian/sbrsh/usr/share/doc/sbrsh
	cp -a README debian/sbrsh/usr/share/doc/sbrsh/

	dh_installexamples
	dh_installchangelogs
	dh_installdocs
	dh_installinit
	dh_shlibdeps
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

clean:
	dh_testdir
	dh_testroot
	dh_clean

	$(MAKE) clean
	rm -f sbrshd sbrsh

	rm -f debian/sbrshd.init
	rm -rf debian/tmp

.PHONY: build binary binary-arch binary-indep clean

## sbrsh 7.6

=== debian/changelog ===
sbrsh (7.6) unstable; urgency=low

  [ Riku Voipio ]
  * Upload to Debian

  [ Timo Savola ]
  * Revision 6
  * simpler build scripts
  * Fix mount point config parsing
  * Fix mount/umount binary configuration check
  * Hack to make sshfs mounting work
  * Add mount/umount binary configuration options to scripts
  * Change uid and gid separately
  * Mount sshfs as normal user
  * Initial sshfs work

  [ Ed Swartz ]
  * Force bind mounts to expire immediately
  * added -r|--remote option to alter user identity on target
  * added --debug-verbose option to optionally enable stdin/stdout/poll
    logging

  [ Janne Kataja ]
  * Fix the bug Timo added to 179b3ed1dbea29c24969b6c7cc1c10a4f943b78c
  * Check if the configuration of existing mount points has changed and
    try to
  * Fix sshfs unmounting
  * Changed do_umount(...) function arguments to detect SSHFS mounts.

 -- Riku Voipio <riku.voipio@iki.fi>  Thu, 15 May 2008 18:32:19 +0300

sbrsh (7.5.2) unstable; urgency=low

  * replace ENODATA with EIO to make sbrsh compile on freebsd

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 20 Nov 2007 15:26:11 +0200

## sbrsh 7.6maemo1

=== debian/changelog ===
sbrsh (7.6maemo1) chinook; urgency=low

  * Changed default configuration to enabled and use util-linux mount binaries
    from package mount-full.

 -- Maemo Integration <integration@maemo.org>  Fri, 16 May 2008 10:41:10 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: sbrshd
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: mount-full, ${shlibs:Depends}
 Description: Scratchbox Remote Shell daemon
  sbrshd mounts nfs partition from the host and executes a binary on it.
  This used to provide cpu transparency for cross-compiling with

## sbrsh 7.6maemo2

=== debian/changelog ===
sbrsh (7.6maemo2) diablo; urgency=low

  * Removed mount-full dependence
  * Added sshfs dependence

 -- Maemo Integration <integration@maemo.org>  Mon, 19 Jan 2009 18:26:35 -0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: sbrshd
 Architecture: any
-Depends: mount-full, ${shlibs:Depends}
+Depends: ${shlibs:Depends}, sshfs (>= 1.8maemo1)
 Description: Scratchbox Remote Shell daemon
  sbrshd mounts nfs partition from the host and executes a binary on it.
  This used to provide cpu transparency for cross-compiling with

## sbrsh 7.6ubuntu1

=== debian/changelog ===
sbrsh (7.6ubuntu1) intrepid; urgency=low

  * client.c: Add missing #include <limits.h>. Fixes FTBFS
  * Modify Maintainer value to match the DebianMaintainerField specification.

 -- Albin Tonnerre <lutin@ubuntu.com>  Mon, 16 Jun 2008 13:09:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: sbrsh
 Section: net
 Priority: extra
-Maintainer: Riku Voipio <riku.voipio@iki.fi>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Riku Voipio <riku.voipio@iki.fi>
 Build-Depends: debhelper (>= 5)
 Standards-Version: 3.7.2
 
 Package: sbrshd
 Architecture: any
-Depends: ${shlibs:Depends}, sshfs (>= 1.8maemo1)
+Depends: ${shlibs:Depends}
 Description: Scratchbox Remote Shell daemon
  sbrshd mounts nfs partition from the host and executes a binary on it.
  This used to provide cpu transparency for cross-compiling with

## sbrsh 7.6.1

=== debian/changelog ===
sbrsh (7.6.1) unstable; urgency=low

  * Add limits.h include, closes: #518849
  * 

 -- Riku Voipio <riku.voipio@iki.fi>  Mon, 09 Mar 2009 10:35:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: sbrsh
 Section: net
 Priority: extra
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Riku Voipio <riku.voipio@iki.fi>
+Maintainer: Riku Voipio <riku.voipio@iki.fi>
 Build-Depends: debhelper (>= 5)
-Standards-Version: 3.7.2
+Standards-Version: 3.8.0
 
 Package: sbrshd
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export LDFLAGS += -s
+export PREFIX := /usr
 
 build: sbrshd sbrsh
 
@@ -16,17 +17,19 @@
 	dh_testdir
 	dh_testroot
 
+	$(MAKE) install DESTDIR=debian/tmp
+
 	cp sbrshd.init debian/
 
 	mkdir -p debian/sbrshd/usr/sbin
-	cp -a sbrshd debian/sbrshd/usr/sbin/
+	mv debian/tmp/usr/sbin/sbrshd debian/sbrshd/usr/sbin/
 	mkdir -p debian/sbrshd/etc
 	cp -a sbrshd.conf debian/sbrshd/etc/
 	mkdir -p debian/sbrshd/usr/share/doc/sbrshd
 	cp -a README debian/sbrshd/usr/share/doc/sbrshd/
 
 	mkdir -p debian/sbrsh/usr/bin
-	cp -a sbrsh debian/sbrsh/usr/bin/
+	cp -a debian/tmp/usr/bin/sbrsh debian/sbrsh/usr/bin/
 	mkdir -p debian/sbrsh/usr/share/doc/sbrsh
 	cp -a README debian/sbrsh/usr/share/doc/sbrsh/
 
@@ -50,7 +53,6 @@
 	dh_clean
 
 	$(MAKE) clean
-	rm -f sbrshd sbrsh
 
 	rm -f debian/sbrshd.init
 	rm -rf debian/tmp

## sbrsh 7.6.1build1

=== Makefile ===
O		:= $(if $(wildcard autoconf.mk),autoconf,optimize)

CFLAGS		+= -Wall -Wmissing-prototypes -Wformat=2 -Wshadow

BINARIES	:= sbrsh sbrshd
LIBRARIES	:= common
NODIST		:= $(LIBRARIES)

build: $(BINARIES)
$(BINARIES): common-static

include build/project.mk

GIT		:= git
AUTOCONF	:= autoconf

.PHONY: source-tarball
source-tarball:
	@(VERSION=`$(GIT) describe --tags | sed s/^v//` && \
	TMP=$$(mktemp -d tmp.XXXXXX) && \
	$(GIT) archive --format=tar --prefix="sbrsh-$$VERSION/" HEAD \
		> "$$TMP/sbrsh-$$VERSION.tar" && \
	cd "$$TMP" && \
	tar xf "sbrsh-$$VERSION.tar" && \
	cd "sbrsh-$$VERSION" && \
	$(AUTOCONF) && \
	cd .. && \
	tar rf "sbrsh-$$VERSION.tar" "sbrsh-$$VERSION/configure" && \
	gzip -c "sbrsh-$$VERSION.tar" > "../sbrsh-$$VERSION.tar.gz" && \
	cd .. && \
	rm -r "$$TMP")

.PHONY: ipk
ipk: daemon-$(PROFILE)
	rm -rf ipkg/build

	install -d ipkg/build/CONTROL
	sed s/'<VERSION>'/`head -n1 debian/changelog | cut -d'(' -f2 | cut -d')' -f1`/ ipkg/control.in > ipkg/build/CONTROL/control
	install -m 755 ipkg/postinst ipkg/build/CONTROL/
	install -m 755 ipkg/postrm ipkg/build/CONTROL/

	install -d ipkg/build/usr/sbin
	install -m 755 $(daemon_BINARY_$(PROFILE)) ipkg/build/usr/sbin/

	ipkg-build ipkg/build
	rm -rf ipkg/build

=== debian/changelog ===
sbrsh (7.6.1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:42:35 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sbrsh
 Section: net
 Priority: extra
-Maintainer: Riku Voipio <riku.voipio@iki.fi>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Riku Voipio <riku.voipio@iki.fi>
 Build-Depends: debhelper (>= 5)
 Standards-Version: 3.8.0

## sbrsh 8.0maemo2

=== debian/changelog ===
sbrsh (8.0maemo2) diablo; urgency=low

  * Fixes to the permission settings when the server creates directory

 -- Maemo Integration <integration@maemo.org>  Thu, 12 Feb 2009 16:54:22 -0300

sbrsh (8.0maemo1) diablo; urgency=low

  * The sandbox option for the daemon has been added again
  * Minor fixes to the permission settings when the server creates directory

 -- Maemo Integration <integration@maemo.org>  Thu, 12 Feb 2009 16:54:22 -0300

sbrsh (7.6maemo3) diablo; urgency=low

  * The client now controls the sandbox decision using -s or -n options
  * Due to the sending of sandbox option, the SBRSH protocol has been
  updated to version version to 8 and the protocol option PTYPE_SANDBOX
  was added with value 0x43
  * The option for sandbox in the server has been removed, since the
  client now decides for this

 -- Maemo Integration <integration@maemo.org>  Thu, 12 Feb 2009 16:54:22 -0300

=== debian/control ===
Source: sbrsh
Section: net
Priority: extra
Maintainer: Maemo Integration <integration@maemo.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: sbrshd
Architecture: any
Depends: ${shlibs:Depends}, sshfs (>= 1.8maemo1)
Description: Scratchbox Remote Shell daemon
 sbrshd mounts nfs partition from the host and executes a binary on it.
 This used to provide cpu transparency for cross-compiling with
 scratchbox.
 http://scratchbox.org/

Package: sbrsh
Architecture: any
Depends: ${shlibs:Depends}
Description: Scratchbox Remote Shell client
 sbrsh requests a sbrshd host to mount a nfs partition, and executes a
 binary on it.  This used to provide cpu transparency for cross-compiling
 with scratchbox.
 http://scratchbox.org/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --sysconfdir=/etc --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	./autogen.sh
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/build install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	$(MAKE)
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_install -v --sourcedir=debian/build
	dh_installdocs -A README
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## sbrsh 8.0maemo3

=== debian/changelog ===
sbrsh (8.0maemo3) diablo; urgency=low

  * Version increased to compile with new fremantle SDK (autobuilder) 

 -- Hallyson Melo <hallyson.melo@openbossa.org>  Thu, 19 Nov 2009 13:57:48 -0300
